component:
  - kernel
framework: beakerlib
require:
  - url: https://gitlab.cee.redhat.com/special-projects/tests/audit
    name: /Library/testing
    type: library
  - audit
adjust:
  - enabled: false
    when: distro < rhel-7
    continue: false
contact:
  - Ondrej Moris <omoris@redhat.com>
description: |
    Bug summary: renameat2() does not generate any audit events for a directory being monitored
    Bugzilla link: https://bugzilla.redhat.com/show_bug.cgi?id=1642315
duration: 5m
enabled: true
extra-nitrate: TC#0600746
extra-summary: 
    /CoreOS/audit/Regression/bz1642315-renameat2-does-not-generate-any-audit-events-for
extra-task: 
    /CoreOS/audit/Regression/bz1642315-renameat2-does-not-generate-any-audit-events-for
link:
  - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1642315
recommend:
  - kernel
  - audit
  - strace
summary: Test for BZ#1642315 (renameat2() does not generate any audit events for)
tag:
  - NoRHEL4
  - NoRHEL5
  - NoRHEL6
  - TIPfail_Security
  - fedora-wanted
test: ./runtest.sh
name: /Regression/bz1642315-renameat2-does-not-generate-any-audit-events-for
order: 50
id:
tier:
path: /Regression/bz1642315-renameat2-does-not-generate-any-audit-events-for
manual: false
tty: false
environment: {}
result: respect
where:
check: []
restart-on-exit-code: []
restart-max-count: 1
restart-with-reboot: false
sources:
  - /var/tmp/tmt/run-017/Plans/general/discover/Downstream_audit_tests/tests/main.fmf
  - /var/tmp/tmt/run-017/Plans/general/discover/Downstream_audit_tests/tests/Regression/bz1642315-renameat2-does-not-generate-any-audit-events-for/main.fmf
context: {}
